Subject: Re: [MOBILE-IP] IPv6 handover document

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 15 Sep 2000 11:45:05 -0700

Hello Matthias,

Sorry for the extreme delay in my response to your note.
I hope you can remember what the discussion was!

You mention cranking up the rate for IPv6 router advertisement.
Since the Mobile IPv6 document is now in Last Call, did you wish
to make a proposal about what the (maximum) rate should be?

Regards,
Charlie P.

Mattias Pettersson wrote:
>
> Linfeng Yang wrote:
>
> > > => obviously there is something like overlapping cells here.
> > >
> > > Sure but that doesn't necessarily mean you can receive two
> > > separate traffic streams.
> >
> > Yes my assumption is, there must be some form of overlapping, otherwise you
> > cannot achieve zero-delay.
>
> Hi,
>
> Yes, overlapping is of course necessary, but that's not what Hesham is pointing
> at. The nature of radio link layers is not exactly like an Ethernet, where
> everyone can hear everyone else. Since bandwidth is limited and transceivers
> are interfering, different transceivers will use different physical and/or
> logical channels.
>
> If the link medium is using different physical channels (different frequencies,
> not CDMA technology, for instance), then a receiver can usually only lock onto
> one single of these channels, since (due to cost) it is only equipped with one
> transceiver. If access point A is on subnet Na and using channel Ca, a mobile
> node locked onto channel Ca won't be able to hear or measure anything of a
> possible access point B on subnet Nb on channel Cb. The only way for the mobile
> node to detect the presence of B would be to start a scan over all channels
> (and do so occasionally) or to be informed of its existence by the network over
> channel Ca.
>
> The few radio technologies I've fought with do this and if anyone else have
> better news I would be very happy to hear of it.
>
> The point is: we must understand these limitations inherited from radio links
> and take them into consideration when designing a handoff scheme.
>
> Otherwise, if we assume the opposite with the ability to hear routers
> regardless of radio channels and have good enough overlap plus add some
> heuristics in reachability detection of routers and maybe crank up the RA rate
> a bit, good old Mobile IPv6 will do the work perfectly without our help!
>
> /Mattias Pettersson

---

From: Dave Johnson <[email-masked]>
Date: Fri, 15 Sep 2000 14:00:04 -0500

Charlie,

Mobile IPv6 already does not put any limit on the maximum rate for
Router Advertisements.  It's documented that way in the draft and has
been that way for a long time.

                                        Dave

---

From: Francis Dupont <[email-masked]>
Date: Sat, 16 Sep 2000 14:24:38 +0200

In your previous mail you wrote:

=> I disagree. RFC 2461 puts some limits (Max/MinRtrAdvInterval) for
unsolicited multicast Router Advertisements and (MIN_DELAY_BETWEEN_RAS)
for any multicast Router Advertisements. I-D 12 changes the unsolicited
values (Max/MinRtrAdvInterval).
Whether it is a good idea or not is another topic...

[email-masked]

---

From: Mattias Pettersson <[email-masked]>
Date: Mon, 18 Sep 2000 17:15:40 +0200

Hi,

Well if we have good enough overlap, that is a few second window in where to do the
handoff, the current ~1 RA/s is ok (section 6.5 in I-D 12).

I agree that if the overlap is smaller than that, maybe we need another mechanism to
detect movement, rather than flooding the link with RAs.

/Mattias Pettersson